Information on source package musl

Available versions

ReleaseVersion
jessie1.1.5-2+deb8u1
stretch1.1.16-3
buster1.1.21-2
bullseye1.1.24-1
sid1.1.24-1

Open issues

BugjessiestretchbusterbullseyesidDescription
CVE-2019-14697vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)fixedfixedmusl libc through 1.1.23 has an x87 floating-point stack adjustment im ...
CVE-2017-15650vulnerable (no DSA)vulnerable (no DSA)fixedfixedfixedmusl libc before 1.1.17 has a buffer overflow via crafted DNS replies ...

Resolved issues

BugDescription
CVE-2016-8859Multiple integer overflows in the TRE library and musl libc allow atta ...
CVE-2015-1817Stack-based buffer overflow in the inet_pton function in network/inet_ ...
CVE-2014-3484stack-based buffer overflow

Search for package or bug name: Reporting problems